package rpc

import (
	"git.loafle.net/commons_go/rpc"
	rpcClient "git.loafle.net/commons_go/rpc/client"
)

func New(registry rpc.Registry) Client {

	ch := NewClientHandler(registry)

	c := rpcClient.New(ch)

	return c
}

type Client interface {
	rpcClient.Client
}
